FilterSobel
Fixed Filters

Filters the image using a Sobel filter kernel. More...

## FilterSobelHoriz

Filters the image using a horizontal Sobel filter kernel:
NppStatus | nppiFilterSobelHoriz_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single channel 8-bit unsigned horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three channel 8-bit unsigned horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 8-bit unsigned horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 16-bit signed horizontal Sobel filter, ignoring alpha channel. More...
NppStatus | nppiFilterSobelHoriz_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single channel 16-bit signed horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three channel 16-bit signed horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 16-bit signed horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 8-bit unsigned horizontal Sobel filter, ignoring alpha channel. More...
NppStatus | nppiFilterSobelHoriz_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single channel 32-bit floating-point horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three channel 32-bit floating-point horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 32-bit floating-point horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 32-bit floating-point horizontal Sobel filter, ignoring alpha channel. More...
NppStatus | nppiFilterSobelHoriz_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit unsigned to 16-bit signed horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHoriz_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit signed to 16-bit signed horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHorizMask_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 32-bit floating-point horizontal Sobel filter. More...

## FilterSobelVert

Filters the image using a vertical Sobel filter kernel:
NppStatus | nppiFilterSobelVert_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single channel 8-bit unsigned vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three channel 8-bit unsigned vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 8-bit unsigned vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 16-bit signed vertical Sobel filter, ignoring alpha channel. More...
NppStatus | nppiFilterSobelVert_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single channel 16-bit signed vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three channel 16-bit signed vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 16-bit signed vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 8-bit unsigned vertical Sobel filter, ignoring alpha channel. More...
NppStatus | nppiFilterSobelVert_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single channel 32-bit floating-point vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three channel 32-bit floating-point vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 32-bit floating-point vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Four channel 32-bit floating-point vertical Sobel filter, ignoring alpha channel. More...
NppStatus | nppiFilterSobelVert_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit unsigned to 16-bit signed vertical Sobel filter. More...
NppStatus | nppiFilterSobelVert_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit signed to 16-bit signed vertical Sobel filter. More...
NppStatus | nppiFilterSobelVertMask_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 32-bit floating-point vertical Sobel filter. More...

## FilterSobelHorizSecond

Filters the image using a second derivative, horizontal Sobel filter kernel:
NppStatus | nppiFilterSobelHorizSecond_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit unsigned to 16-bit signed second derivative, horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHorizSecond_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit signed to 16-bit signed second derivative, horizontal Sobel filter. More...
NppStatus | nppiFilterSobelHorizSecond_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 32-bit floating-point second derivative, horizontal Sobel filter. More...

## FilterSobelVertSecond

Filters the image using a second derivative, vertical Sobel filter kernel:
NppStatus | nppiFilterSobelVertSecond_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit unsigned to 16-bit signed second derivative, vertical Sobel filter. More...
NppStatus | nppiFilterSobelVertSecond_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit signed to 16-bit signed second derivative, vertical Sobel filter. More...
NppStatus | nppiFilterSobelVertSecond_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 32-bit floating-point second derivative, vertical Sobel filter. More...

## FilterSobelCross

Filters the image using a second cross derivative Sobel filter kernel:
NppStatus | nppiFilterSobelCross_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit unsigned to 16-bit signed second cross derivative Sobel filter. More...
NppStatus | nppiFilterSobelCross_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit signed to 16-bit signed second cross derivative Sobel filter. More...
NppStatus | nppiFilterSobelCross_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 32-bit floating-point second cross derivative Sobel filter. More...

## Detailed Description

Filters the image using a Sobel filter kernel.

### Common parameters for nppiFilterSobel functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eMaskSize | Enumeration value specifying the mask size.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterSobelCross_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 32-bit floating-point second cross derivative Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelCross_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit signed to 16-bit signed second cross derivative Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelCross_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit unsigned to 16-bit signed second cross derivative Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 8-bit unsigned horizontal Sobel filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 16-bit signed horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 16-bit signed horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit signed horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit floating-point horizontal Sobel filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 32-bit floating-point horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 32-bit floating-point horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit floating-point horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit signed to 16-bit signed horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit unsigned to 16-bit signed horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit signed horizontal Sobel filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 8-bit unsigned horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 8-bit unsigned horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHoriz_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 8-bit unsigned horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHorizMask_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 32-bit floating-point horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHorizSecond_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 32-bit floating-point second derivative, horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHorizSecond_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit signed to 16-bit signed second derivative, horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelHorizSecond_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit unsigned to 16-bit signed second derivative, horizontal Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 8-bit unsigned vertical Sobel filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 16-bit signed vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 16-bit signed vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit signed vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit floating-point vertical Sobel filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 32-bit floating-point vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 32-bit floating-point vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 32-bit floating-point vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit signed to 16-bit signed vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit unsigned to 16-bit signed vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions with masks.

NppStatus nppiFilterSobelVert_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 16-bit signed vertical Sobel filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single channel 8-bit unsigned vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three channel 8-bit unsigned vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVert_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four channel 8-bit unsigned vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVertMask_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 32-bit floating-point vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVertSecond_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 32-bit floating-point second derivative, vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVertSecond_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit signed to 16-bit signed second derivative, vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

NppStatus nppiFilterSobelVertSecond_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit unsigned to 16-bit signed second derivative, vertical Sobel filter.

For common parameter descriptions, see Common parameters for nppiFilterSobel functions.

Copyright © 2009-2017 NVIDIA Corporation